National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2008-4578 Detail

Description

The ACL plugin in Dovecot before 1.1.4 allows attackers to bypass intended access restrictions by using the "k" right to create unauthorized "parent/child/child" mailboxes.

Source:  MITRE
Description Last Modified:  10/15/2008

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 5.0 MEDIUM
Vector: (AV:N/AC:L/Au:N/C:N/I:P/A:N) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): None
Integrity (I): Partial
Availability (A): None
Additional Information:
Allows unauthorized modification

Vendor Statements (disclaimer)

Official Statement from Red Hat (10/24/2008)

The risks associated with fixing this bug are greater than the low severity security risk. We therefore currently have no plans to fix this flaw in Red Hat Enterprise Linux 5.

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://bugs.gentoo.org/show_bug.cgi?id=240409
http://security.gentoo.org/glsa/glsa-200812-16.xml
http://www.dovecot.org/list/dovecot-news/2008-October/000085.html Patch
http://www.mandriva.com/security/advisories?name=MDVSA-2008:232
http://www.securityfocus.com/archive/1/498498/100/0/threaded
http://www.securityfocus.com/bid/31587
http://www.vupen.com/english/advisories/2008/2745
https://exchange.xforce.ibmcloud.com/vulnerabilities/45669

Technical Details

Vulnerability Type (View All)

  • Permissions, Privileges, and Access Control (CWE-264)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:dovecot:dovecot:0.99.13:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:0.99.14:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.2:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.3:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.4:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.5:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.6:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.7:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.8:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.9:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.10:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.12:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.beta1:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.beta2:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.beta3:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.beta4:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.beta5:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.beta6:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.beta7:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.beta8:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.beta9:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc1:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc2:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc3:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc4:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc5:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc6:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc7:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc8:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc9:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc10:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc11:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc12:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc13:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc14:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc15:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc16:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc17:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc18:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc19:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc20:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc21:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc22:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc23:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc24:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc25:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc26:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc27:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0.rc28:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.0_rc29:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.1:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.1:rc2:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.1.0:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.1.1:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:1.1.2:*:*:*:*:*:*:*
cpe:2.3:a:dovecot:dovecot:*:*:*:*:*:*:*:*    versions up to (including) 1.1.3

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

3 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2008-4578
NVD Published Date:
10/15/2008
NVD Last Modified:
10/11/2018